/**
 * @encoding     UTF-8
 * @package      WordPress Demo Content Manager
 * @link         https://codecanyon.net/item/wordpress-demo-content-manager/20669604
 * @copyright    Copyright (C) 2018 Torbara (http://torbara.com). All rights reserved.
 * @license      Envato Standard License http://themeforest.net/licenses/standard?ref=torbara
 * @author       Vladislav Dolgolenko <vladislavdolgolenko.com>
 * @support      <help@vladislavdolgolenko.com>
 */

(function($, window, dm){
    
    var Status = new dm.ModelStatus({
        current_progress: null,
        log_url: dm.log_url,
        ajax_url: dm.ajax_url
    });
    
    $('.collection .demo').each(function(index, element){
        new dm.ViewDemo({el: $(element), model: Status});
    });
    
    $('.demo-creator').each(function(index, element){
        new dm.ViewDemo({el: $(element), model: Status});
    });
    
    Status.on('processing-error processing-start', function(){
        $('.demo-manager .tabs-wrapper').hide();
    });
    
    Status.on('processing-success', function(){
        $('.demo-manager .tabs-wrapper').show();
    });
    
    window.dm_status = Status;
    
    window.installation = new dm.ViewProcess({el: $('.installation-wrapper').first(), model: Status});
    
    $('input[name=demo_package_zip]').on('change', function(){
        $(this).parents('form').first().submit();
    });
    
})(jQuery, window, window.wp_demo_manager);
