<?php

/**
 * @encoding     UTF-8
 * @package      WordPress Demo Content Manager
 * @link         https://codecanyon.net/item/wordpress-demo-content-manager/20669604
 * @copyright    Copyright (C) 2018 Torbara (http://torbara.com). All rights reserved.
 * @license      Envato Standard License http://themeforest.net/licenses/standard?ref=torbara
 * @author       Vladislav Dolgolenko <vladislavdolgolenko.com>
 * @support      <help@vladislavdolgolenko.com>
 */

/* @var $Demo \DM\Demo */

$ChangeDemoPage = \DM\Pages\ChangeDemo::getInstance();
$Config = \DM\Config::getInstance();
$notices = $Demo->getNotices();
?>

<article class="demo <?php echo $Demo->isActivated() ? 'active' : ''; ?>">
    
    <div class="preview-wrapper">
        <div class="preview">

            <?php if ($Demo->getStatus()) : ?>
                <div class="status <?php echo esc_attr($Demo->getStatus()); ?>">
                    <?php echo esc_html($Demo->getStatus()); ?>
                </div>
            <?php endif; ?>

            <?php if ($Demo->getPreviewLink() && $Demo->getScreenshotUrl()) { ?>
                <a href="<?php echo $Demo->getPreviewLink(); ?>" target="_blank">
                    <img src="<?php echo $Demo->getScreenshotUrl(); ?>">
                </a>
            <?php } else if ($Demo->getScreenshotUrl()) { ?>
                <img src="<?php echo $Demo->getScreenshotUrl(); ?>">
            <?php } ?>

            <?php if (current($notices) || !$Demo->getScreenshotUrl()) : ?>
            <div class="text-box">
                <?php if (!$Demo->getScreenshotUrl()) : ?>
                    <span class="name"><?php echo esc_html($Demo->getTitle()); ?></span>
                <?php endif; ?>

                <?php foreach ($notices as $notice) : ?>
                    <p class="requires">
                        <?php echo $notice; ?>
                    </p>
                <?php endforeach; ?>
            </div>
            <?php endif; ?>

            <div class="clearfix"></div>
        </div>
        <div class="clearfix"></div>
    </div>
    
    <div class="clearfix"></div>
    
    <div class="actions">
        
        <?php if (!$Demo->isCurrentThemeDemo()) : ?>

            <?php if ($Demo->getPreviewLink()) : ?>
                <a href="<?php echo $Demo->getPreviewLink(); ?>" target="_blank" class="btn btn-default"><i class="fa fa-eye" aria-hidden="true"></i> preview</a>
            <?php endif; ?>

            <?php if ($Demo->getMarketLink()) : ?>
                <a href="<?php echo $Demo->getMarketLink(); ?>" target="_blank" class="btn btn-default buy"><i class="fa fa-shopping-cart" aria-hidden="true"></i> buy on envato</a>
            <?php endif; ?>

        <?php else: ?>

            <?php include 'demo-actions.php'; ?>

        <?php endif; ?>
                
        <div class="clearfix"></div>
    </div>
    
    <div class="clearfix"></div>
</article>
