<?php

/**
 * @encoding     UTF-8
 * @package      WordPress Demo Content Manager
 * @link         https://codecanyon.net/item/wordpress-demo-content-manager/20669604
 * @copyright    Copyright (C) 2018 Torbara (http://torbara.com). All rights reserved.
 * @license      Envato Standard License http://themeforest.net/licenses/standard?ref=torbara
 * @author       Vladislav Dolgolenko <vladislavdolgolenko.com>
 * @support      <help@vladislavdolgolenko.com>
 */

/* @var $Demo \DM\Demo */

$ChangeDemoPage = \DM\Pages\ChangeDemo::getInstance();
$Config = \DM\Config::getInstance();
$notices = $Demo->getNotices();
$first_params = array_slice($Demo->toArray(), 0, 10);
$second_params = array_slice($Demo->toArray(), 10);
?>

<article class="demo develop <?php echo $Demo->isActivated() ? 'active' : ''; ?>">
    
    <div class="preview-wrapper">
        <div class="col-lg-4 preview-col">
            <div class="preview">
                <?php if ($Demo->getStatus()) : ?>
                    <div class="status <?php echo esc_attr($Demo->getStatus()); ?>">
                        <?php echo esc_html($Demo->getStatus()); ?>
                    </div>
                <?php endif; ?>

                <?php if ($Demo->getPreviewLink() && $Demo->getScreenshotUrl()) { ?>
                    <a href="<?php echo $Demo->getPreviewLink(); ?>" target="_blank">
                        <img src="<?php echo $Demo->getScreenshotUrl(); ?>">
                    </a>
                <?php } else if ($Demo->getScreenshotUrl()) { ?>
                    <img src="<?php echo $Demo->getScreenshotUrl(); ?>">
                <?php } ?>

                <?php if (current($notices) || !$Demo->getScreenshotUrl()) : ?>
                <div class="text-box">
                    <?php if (!$Demo->getScreenshotUrl()) : ?>
                        <span class="name"><?php echo esc_html($Demo->getTitle()); ?></span>
                    <?php endif; ?>

                    <?php foreach ($notices as $notice) : ?>
                        <p class="requires">
                            <?php echo $notice; ?>
                        </p>
                    <?php endforeach; ?>
                </div>
                <?php endif; ?>

                <div class="clearfix"></div>
            </div>
            <div class="clearfix"></div>
        </div>
        <div class="col-lg-8">
            <div class="row table-params">
                <div class="col-lg-6">
                    <?php foreach ($first_params as $key => $value): ?>
                        <div class="param param-name"><?php echo esc_html($key); ?>:</div>
                        <div class="param param-value"><?php echo esc_html($value ? $value : 'N\A'); ?></div>
                    <?php endforeach; ?>
                    <div class="clearfix"></div>
                </div>
                <div class="col-lg-6">
                    <?php foreach ($second_params as $key => $value): ?>
                        <div class="param param-name"><?php echo esc_html($key); ?>:</div>
                        <?php if (preg_match('/^http/', $value)) : ?>
                            <div class="param param-value">
                                <a href="<?php echo esc_url($value); ?>">
                                    <?php echo $value; ?>
                                </a>
                            </div>
                        <?php else: ?>
                            <div class="param param-value"><?php echo esc_html($value ? $value : 'N\A'); ?></div>
                        <?php endif;?>
                    <?php endforeach; ?>
                    <div class="clearfix"></div>
                </div>
            </div>
        </div>
        <div class="clearfix"></div>
    </div>
        
        <div class="clearfix"></div>

        <div class="col-lg-12 actions">
            <?php include 'demo-actions.php'; ?>
        </div>

        <div class="clearfix"></div>
</article>
